#!/bin/sh

echo "start upgrade......"
killall -9 syslogd
killall -9 klogd
killall -9 getty
killall monitor
killall -9 SayHi
killall lldpd
killall -9 udhcpc
killall eeprom-update
/mnt/system/sbin/cordless-ctrl unload
sync
echo 1 > /proc/sys/vm/drop_caches
sleep 3

rm -rf /mnt/system/.miniguires
cp -rf /tmp/.miniguires /mnt/system/
mv /tmp/*.txt /mnt/system/
mv /tmp/monitor /mnt/system/monitor
mv /tmp/SayHi /mnt/system/SayHi
mv /tmp/setmac /mnt/system/setmac
mv /tmp/SN /mnt/system/SN
mv /tmp/start.sh /mnt/system/start.sh
mv /tmp/modules/coma-i2c.ko /mnt/system/modules/coma-i2c.ko
mkdir /mnt/system/pic/
mv /tmp/pic/* /mnt/system/pic/
mv /tmp/ftp* /usr/bin/
chmod 777 /usr/bin/ftp*

remote=$(md5sum /tmp/boot/uImage|cut -d ' ' -f1)
local=$(md5sum /boot/uImage|cut -d ' ' -f1)

if [ "$remote" == "$local" ];then
	echo uImage md5 same
else
	echo uImage md5 change
	mv /tmp/boot/uImage /boot/uImage
fi

remote=$(md5sum /tmp/boot/dvf99-evb.dtb|cut -d ' ' -f1)
local=$(md5sum /boot/dvf99-evb.dtb|cut -d ' ' -f1)

if [ "$remote" == "$local" ];then
	echo dvf99-evb.dtb md5 same
else
	echo dvf99-evb.dtb md5 change
	mv /tmp/boot/dvf99-evb.dtb /boot/dvf99-evb.dtb
fi


rm -rf /tmp/*

reboot
sleep 3
echo "upgrade  succeed and run reboot"
echo "upgrade  succeed and run reboot" >> /mnt/sip/flashcp.txt
exit 0